org.vishia.gral.awt

## Class AwtMenu

- java.lang.Object
- - org.vishia.gral.base.GralMenu._GraphicImpl
  - - org.vishia.gral.awt.AwtMenu

-     public class AwtMenu
      extends GralMenu._GraphicImpl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Menu` | `menuAwt`
    `private java.awt.MenuBar` | `menuBar`

    - ### Fields inherited from class org.vishia.gral.base.GralMenu._GraphicImpl

      `widgg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwtMenu(GralWidget widgg, java.awt.Component parent, GralMng mng)`
    `AwtMenu(GralWidget widgg, java.awt.Frame window, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_implMenuItem(java.lang.Object oParentMenu, GralMenu.MenuEntry gralEntry)` Creates the implementation for a menu node or entry.
    `java.awt.Menu` | `getMenuImpl()` Returns the implementation instance for the menu.
    `void` | `setVisible()` Adds with a given widget.

    - ### Methods inherited from class org.vishia.gral.base.GralMenu._GraphicImpl

      `_implMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### menuAwt

          private final java.awt.Menu menuAwt

    - #### menuBar

          private final java.awt.MenuBar menuBar

  - ### Constructor Detail

    - #### AwtMenu

          public AwtMenu(GralWidget widgg,
                         java.awt.Component parent,
                         GralMng mng)

    - #### AwtMenu

          public AwtMenu(GralWidget widgg,
                         java.awt.Frame window,
                         GralMng mng)

  - ### Method Detail

    - #### _implMenuItem

          public void _implMenuItem(java.lang.Object oParentMenu,
                                    GralMenu.MenuEntry gralEntry)

      Creates the implementation for a menu node or entry.
      Specified by:
        `_implMenuItem` in class `GralMenu._GraphicImpl`
      Parameters:
        `oParentMenu` - return value of `getMenuImpl()` or the `GralMenu.MenuEntry#menuImpl`, that is a menu node.
        `gralEntry` - The entry in the menu tree

    - #### setVisible

          public void setVisible()

      Description copied from class: `GralMenu._GraphicImpl`
      Adds with a given widget. Note the widget is in difference with the `GralMenu._GraphicImpl.widgg` of the constructor. Check what is happen. Therefore:
      Specified by:
        `setVisible` in class `GralMenu._GraphicImpl`

    - #### getMenuImpl

          public java.awt.Menu getMenuImpl()

      Description copied from class: `GralMenu._GraphicImpl`
      Returns the implementation instance for the menu.
      Specified by:
        `getMenuImpl` in class `GralMenu._GraphicImpl`